sWeather
Copyright (c) 2011-2019 Jody Holmes (Skwire Empire)
http://www.dcmembers.com/skwire/download/sweather

+ added
* changed
- deleted
! bug fixed

v1.8.2 - 2019-03-01
    ! "Feels like" temps of zero degrees would display as N/A.  (Thanks, mhh)

v1.8.1 - 2019-02-11
    * Tray icon options have changed.  You can now display either or both icons.
    ! On a delayed startup, tray icon was showing blank instead of the N/A icon.
      (Thanks, T. Elliot)
    * Added a small delay when updating location time.

v1.8.0 - 2019-01-31
    ! Reduced the number of times the TimezoneDB API was queried.  (Thanks,
      click-click)

v1.7.9 - 2019-01-28
    ! Statusbar icons were missing.  (Thanks, Mboxer511)

v1.7.8 - 2019-01-26
    + New metric windspeed option to use meters per second instead of the kilometers
      per hour default.  (Thanks, BG)
    * Rearranged the Options dialog a bit.
    ! Hopefully made the menu and button icons work properly in both Windows XP
      and Windows 7+.  32-bit colour must be enabled in your Windows display
      options.  (Thanks, Drugwash)
    ! Fixed the titlebar not always displaying the time.  (Thanks, Drugwash)

v1.7.7 - 2019-01-22
    ! Fixed speed issue when getting weather data.  It was my fault and not the
      new API.
    ! Fixed 5 & 10 day forecast data not showing for some users.
    ! "Minimize to tray" option is back.  I must have erroneously deleted it in
      the last build.  (Thanks, Drugwash)
    ! Pressure reading wasn't correct for imperial values.

v1.7.6 - 2019-01-22
    + Added support for the new Yahoo! Weather API.  The old API was retired on
      2019-01-03.  The new API seems slower than the previous one but I don't
      know if it's because of the new OAuth requirement for this new API or
      something else.  Whatever...it works, so please be patient with it and
      apologies for any inconvenience.
    + Hovering over the "Full forecast", "Radar", and "Powered by Yahoo!" links
      shows their URL in the statusbar.  (Thanks, Drugwash)
    + Right-clicking the "Full forecast", "Radar", and "Powered by Yahoo!" links
      gives the option of copying the URL to the clipboard.
    + Added "Minimize to tray" option.  (Thanks, Drugwash)
    + Added menu option to display raw weather data.
    + Added tooltips to statusbar icons.
    + Option to break location menu into multiple columns.
    * Eliminated dependencies on resources.dll and temp directory.
    - Took out the WOEID search feature because the new API doesn't support that
      currently.  Had to go back to the old method of manually getting the WOEID
      from the URL of a location on the main weather.yahoo.com website.  Yuck,
      what a travesty.  >=[
    ! Right-click clipboard context menu was broken.
    ! Fixed an extra line in one of the tray tooltips.  (Thanks, Drugwash)

v1.7.5 - 2018-04-30
    * Sunrise/Sunset times displayed in 24-hour time now have a leading zero, if
      necessary.  (Thanks, Martin E.)

v1.7.4 - 2018-04-28
    + Added option to display sunrise and sunset times in 24-hour time.
      (Thanks, Martin E.)

v1.7.3 - 2018-03-26
    + Added an option to delay a number of seconds before the intial request
      for weather data is made.  (Thanks, J. Agam)
    + Included a new tray temperature theme.  (Thanks, J. Agam)

v1.7.2 - 2018-02-18
    ! Attempted to work around a timing error where the network connection was
      slow or not active i.e. when resuming from hibernation.  (Thanks, Ken Z.)

v1.7.1 - 2018-02-18
    + Created a "DjPete" temperature theme for fahrenheit.  (Thanks, 21944.450)
    ! Recompiled as 1.7.1 since the last version was mistakenly compiled as
      v1.7.8.
    ! Calling the About box when it was already displayed would cause an error.
      (Thanks, Ken Z.)

v1.7.0 - 2018-02-14
    * Made the temperature icon the default and made the weather condition icon
      optional.

v1.6.9 - 2017-06-13
    ! "Full forecast" links were broken.  (Thanks, Midnight Rambler)

v1.6.8 - 2016-09-04
    ! Fixed location searching which was broken by yet more changes in the
      Yahoo! API.

v1.6.7 - 2016-06-28
    + Added an "Add location" button to the Options dialog.
    + Added four new larger tray temperature themes:
        + Simple Black Large
        + Simple Black Large (Filled)
        + Simple White Large
        + Simple White Large (Filled)

v1.6.6 - 2016-06-03
    * Small cosmetic change.  Made the statusbar say "Last provider update was
      at: " to, hopefully, reduce confusion as to when the weather data was last
      updated by Yahoo!.  Currently, that seems to be every two hours.
      (Thanks, armus2112)

v1.6.5 - 2016-04-18
    + Added a new link on the main form to go directly to the radar page of the
      currently selected location.
    * Changed the "Full forecast: Click here" link to "Links: Full forecast"
    - It doesn't look like the old API access is coming back so I've removed the
      option added in v1.6.3.

v1.6.4 - 2016-04-13
    * It appears that Yahoo! have actually killed access to the old API so I've
      now made the "Use old API" option not the default.  I'll leave the option
      in for the time being but will probably take it out in a future release
      (unless Yahoo! bring back access to the old API).

v1.6.3 - 2016-04-03
    + Due to Yahoo!-realted issues with the new API, I've added a workaround
      option to use the old API.  This option is enabled by default.  That said,
      while the older API seems to be much more reliable, I cannot guarantee how
      long Yahoo! will make it available.  Maybe this workaround will buy enough
      time for Yahoo! to get their stuff together regarding the new API.  Please
      note that the data is slightly different between the two APIs and that the
      "Full forecast" link doesn't appear to provide proper links when using the
      old API.
    * Prettied up the Options dialog with some icons.
    * Made the main form display missing data more elegantly.

v1.6.2 - 2016-03-30
    + Added option to use configured location names instead of the location
      names provided by the Yahoo! Weather API.  (Thanks, Chris)

v1.6.1 - 2016-03-30
    ! Another fix for the incorrect Sunrise/Sunset times.  (Thanks, qbic)

v1.6.0 - 2016-03-28
    ! Several fixes related to bad or different data coming from the new Yahoo!
      API.
        - Barometric pressure readings should now be correct.  Hey, I learned
          what a hectopascal is.  Thanks, Yahoo!.  =\
        - "Feels Like" temp should now be correct when using metric units.
        - Fixed Sunrise/Sunset times missing a trailing zero.  WTH, Yahoo!? 

v1.5.9 - 2016-03-27
    * Updated sWeather to work with new Yahoo! Weather API.
    + Added Yahoo! logo as per new API's attribution guidelines:
      https://developer.yahoo.com/attribution/
    ! Fixed non-working "Full forecast" links.
    ! Fixed cursor when hovering over buttons and links.
    ! Right-click copy data now includes days 6-10 of the extended forecast.

v1.5.8 - 2016-03-08
    ! Fixed off-by-one date in the extended forecasts again.  (Grrrr...)

v1.5.7 - 2016-03-02
    * Extended degree floor icons from -25 to -75 degrees to account for
      extremely cold locations.  (Thanks, M-53)
    ! Fixed (again?) off-by-one date in the extended forecasts (Thanks, Ath)

v1.5.6 - 2016-02-29
    * Changed timezone data source to the Time Zone DB at http://timezonedb.com
      Titlebar location times should be accurate again.
    ! Fixed off-by-one date in the extended forecasts (Thanks, sportman12)

v1.5.5 - 2015-05-13
    + Added a "Use https:// (SSL) when possible" option.  (Thanks, Mimori)

v1.5.4 - 2014-12-15
    + Added 'Feels like' temp to the tray tooltip.  (Thanks, Ken Z.)
    ! Hopefully fixed a long-standing bug with the temperature icon not
      displaying the correct temperature.  This had to do with the fact that
      Windows 7, at least, does not appear to like 1-bit colour icons in the
      tray.  Crazy...
     
v1.5.3 - 2014-07-02
    + Added DMS (degree, minute, second) format option for latitude and
      longitude readings.  (Thanks, Dirge) 
    ! Fixed missing "na.ico" file in the Fat Cow tray condition theme.
      (Thanks, Brothbeard)
    ! Converted wind speed text string was incorrect.  (Thanks, Dirge)

v1.5.2 - 2014-01-07
    ! Refresh timer wasn't set properly after waking up from hibernation.
      (Thanks, zanecek)
    ! DPI-related fix to saved listview column widths.

v1.5.1 - 2013-12-13
    ! New date feature introduced in v1.5.0 was off by one.  "It was my
      understanding that there would be no math."  =]

v1.5.0 - 2013-12-13
    + Added new option to show the date number in the extended forecast.
    * In the Options' WOIED list, the highlighted selection will stay
      visible when using the up/down buttons.  You can also now use
      drag-and-drop to move locations in the list.

v1.4.9 - 2013-11-11
    + Added two new tray temperature themes, Simple Black & Simple White,
      courtesy of user lotra.  Thank you, lotra!

v1.4.8 - 2013-11-08
    + Added a hidden INI setting to work around a bug in the System Explorer
      program from http://systemexplorer.net/.  Every time sWeather would get
      updated weather info, and refresh its tray icons, the "Advanced Window"
      popup from System Explorer would appear.   This bug only appears to
      happen in Windows XP so, if you're experiencing this, add the following
      line to the [Settings] section of sWeather's config.ini file, save it,
      and restart sWeather.  (Thanks, lotra)
      
      Extra_Tray_Refresh=0

v1.4.7 - 2013-09-28
    * Updated WorldWeatherOnline API-related code.  Titlebar timezone
      data should work again.  (Thanks, Alex) 

v1.4.6 - 2013-07-25
    * sWeather should now be DPI aware and display properly at higher DPI
      resolutions.

v1.4.5 - 2013-07-25
    + Added ability to set a global hotkey to refresh the weather data.
      (Thanks, win8shucks)

v1.4.4 - 2013-06-10
    ! Converted temps weren't displaying properly for the entire 10-day
      forecast.  (Thanks, joiwind)

v1.4.3 - 2013-05-29
    * Changed the extended forecast options from two checkboxes to a
      single dropdown. 

v1.4.2 - 2013-05-28
    + Added 10-day forecast option.  Enable in the Options dialog.
    * Made both the 5-day and 10-day forecast display optional.

v1.4.1 - 2013-05-28
    ! Fixed the 5-day forecast that Yahoo! broke last week.

v1.4.0 - 2013-01-31
    + Added export functionality to the expanded view.  Use the new toolbar
      button on the expanded view to choose between CSV and tab-delimited
      export formats.  (Thanks, Wish)

v1.3.9 - 2012-11-05
    ! Minor GUI fix.

v1.3.8 - 2012-09-07
    * Changed sWeather to single-instance.  This does not prevent running
      multiple instances from different folders, though.  (Thanks, Pascal)

v1.3.7 - 2012-09-04
    + Added humidity data to the tray tooltip.  (Thanks, kilele)

v1.3.6 - 2012-09-04
    ! Worked around a proxy issue regarding the location time and update check
      functionalities.  (Thanks, Ath)

v1.3.5 - 2012-09-04
    + Added new tray temperature theme called Minicat.  (Thanks, E.J.)
    ! Attempted to fix some word-wrapping issues regarding long conditions text
      in the 5-day forecast boxes.  (Thanks, Alex)
    ! Renaming sWeather.exe to something else caused it to error out on startup
      (Thanks, Alex)

v1.3.4 - 2012-09-03
    + Added an option to display a location's local time in the titlebar.  You
      can also customise the date/time format string using the standard AutoHotkey
      tokens found here: http://www.autohotkey.com/docs/commands/FormatTime.htm
      (Thanks, Alex)

v1.3.3 - 2012-08-31
    + Added "Close to tray" option.  This was the default behaviour previously
      but now you can change it, if desired.  (Thanks, Alex)
    * Reduced the height of the Options dialog to better fit smaller resolutions.
      (Thanks, Alex)

v1.3.2 - 2012-08-17
    + Added option to disable the sWeather taskbar button.

v1.3.1 - 2012-08-15
    + Added progress bar to the main window's statusbar when launching the
      expanded view.  Useful if you have a lot of locations configured.
    + Added 5-day forecast data to the right-click clipboard menus.

v1.3.0 - 2012-08-14
    + Added status bar mouseover conversions for all values that can be converted.
      Hover your mouse above a reading, e.g., the current temperature, and the
      converted value should appear in the status bar.  (Thanks, Ath)
     * Cleaned up navigation button positioning and widened their click areas
       slightly. 

v1.2.9 - 2012-08-13
    + Added new tray condition theme based on the Farm Fresh web icons from
      FatCow (http://www.fatcow.com/free-icons).
    + Added F3 hotkey to bring up Options panel.

v1.2.8 - 2012-08-13
    + The "Change Weather!?" panel now functions as a theme browser.
    + Added new tray condition theme based on the LED icons from http://led24.de

v1.2.7 - 2012-08-12
    + Added condition icons to the expanded view's 5-day forecast columns.

v1.2.6 - 2012-08-12
    ! Fixed an issue where stale 5-day data from one location was affecting
      locations that didn't have 5-day data to start with.

v1.2.5 - 2012-08-11
    + Added 5-day forecast to main window and Expanded View.
    ! More checks for duplicate names in the WOEID list.  (Thanks, lanux128)

v1.2.4 - 2012-08-11
    + Added "Last update time" column to expanded view.  (Thanks, ZorMi)

v1.2.3 - 2012-08-10
    + Added new WOEID lookup in the Options panel.
    + Added option for adding a "C" or an "F" to the temperature readouts.
    (Thanks, lanux128)
    + Included a new, Celsius colour, tray temperature theme made by ZorMi.
    
v1.2.2 - 2012-08-09
    + Added custom refresh settings.  (Thanks, ZorMi)
    * Removed the ANSI build from the archive.

v1.2.1 - 2012-05-11
    + Added "Reset tray icon positions" option to the tray menu.

v1.2.0 - 2011-12-18
    ! Negative High/Low values weren't being matched properly.  (Thanks, Ath)

v1.1.0 - 2011-09-27
    + Added ability to change the weather in your area if you don't like it! 
      Well, not really, but it's a fun joke anyway.  Choose "Change the weather!?"
      from the tray or Options menu.  (Thanks, mouser)

v1.0.9 - 2011-05-11
    + sWeather will now attempt a refresh fifteen seconds after coming out of
      hibernation mode.  (Thanks, ewemoa & joiwind)

v1.0.8 - 2011-05-08
    + Added "Copy with header" option to the context menu.
    * Restricted which controls show the context menu.  (Thanks, ewemoa) 

v1.0.7 - 2011-05-07
    + Cosmetic GUI change.  (Thanks ewemoa)
    + Added "Refresh weather data" entry to the Options menu.
    + Added F5 hotkey to refresh weather data when sWeather is the active
      window.
    + Right-click the main dialog for two new copy-to-clipboard options.
    
v1.0.6 - 2011-03-30
    + Added Unicode build.  Users on Win2k and below will need to use the
      sWeather_ANSI.exe now.
    + Expanded view now saves column order and widths.  (Thanks, Ath)

v1.0.5 - 2011-03-15
    + Added "Start minimized" option.  (Thanks, Jibz)
    ! Alt-tab icon was pixelated.  (Thanks, lanux128)

v1.0.4 - 2011-03-14
    + Added an expanded view that shows all of your locations' data in a
      listview.  You can access this via the Options menu, the table button on
      the main form or the F2 hotkey.  Double-clicking a row in the listview
      will launch the full forecast for that location.
    + Added Options button on the main dialog.

v1.0.3 - 2011-03-10
    ! Locations would be gone if you closed out the Options dialog using the
      close button.  Trying to get back into Options at that point would result
      in an error.  (Thanks, lanux128 & worstje) 

v1.0.2 - 2011-03-06
    + Added "Refresh data" functionality to the main form.
    * Changed next/previous controls from text to images.

v1.0.1 - 2011-03-03
    + Public release.

v1.0.0 - 2011-02-19
    + Private releases.
